body{
    background-color: #f6f5f5;
    margin: 0;
    padding: 0;

}
html{
    scroll-behavior: smooth;
}
ul{
    list-style: none;
}

a{
    text-decoration: none;
}
.home-page{
    background-color:#000000;
    /* height: 610px; */
    position: relative;
}
.home-page .menu-bar {
       padding: 25px;
   }
.home-page .menu-bar ul{
    display: flex;
    justify-content: flex-end;
    margin: auto 0;
}
.home-page .menu-bar li{
margin-left: 40px;
}
.home-page .menu-bar a{
    color:#4fc8b0;
    font-family: 'Tangerine', serif;
    font-size: 16px;
    font-weight: bold;
}
.home-page .menu-bar .mobilemenu-links{
    display: none;
}
.home-page .menu-bar .mobile-menubar{
    display: none;
}
/* .home-page .my-info,.home-page .my-img,.home-page .my-contact-links{
    background-color: rgb(231, 225, 225);
} */
.home-page .my-info{
    margin-top: 3rem;
    margin-bottom: 2rem;
    margin-left: 6rem;
    padding-bottom: 8rem;
    text-align: center;
}
.home-page .my-info p{
    font-size: 30px;
    color: #FFF;
    font-family: 'Tangerine', serif;
}
    .home-page .my-info h1 {
        font-family: 'Tangerine', serif;
        text-shadow: 1px 1px 3px #aaa;
        font-size: 55px;
        word-spacing: 1.5rem;
    }
    .home-page  .wrapper {

        /*This part is important for centering*/
        display:inline-block;
        place-items: center;
      }
    
    .home-page  .typing-demo {
        width: 30ch;
    
        animation: typing 2.5s steps(30,end), blink .5s step-end infinite alternate;
        animation-fill-mode: forwards;
        white-space: nowrap;
        overflow: hidden;
        
        /* font-family: monospace; */
        font-size: 2em;
      }
      
      @keyframes typing {
        from {
          width:0%
        }
        to{
            width:100%;
        }
      }
          
      @keyframes blink {
        50% {
          border-color: transparent
        }
      }
.home-page .my-info button{
    padding: 8px;
    width: 120px;
    border-radius: 10px;

}
.home-page .my-info .btn-f:hover{
    background-color: #4fc8b0;
    color: #fff;
   
}.home-page .my-info .btn-f a{
    color: #000;
    /* font-weight: 700; */
}
.home-page .my-info .btn-f a:hover{
    font-weight: bold;
    color: #fff;
    text-decoration: none;
}

.home-page .my-info .btn-l{
    background-color: #4fc8b0;
}
.home-page .my-info .btn-l:hover{
    text-decoration: underline;
    cursor: pointer;
}
/* .home-page .about-me .my-img{
    width: 50%;
} */
.home-page .about-me img{
    width: 100%;
    height: 270px;
    border-radius: 10px;
    margin-top: 10px;
}

.home-page .my-contact-links{
    max-width: 11%;
    padding-right: 0;
    position: fixed;
    right: 0;
    z-index: 1;
}
.home-page .my-contact-links ul{
    float: right;
    margin-top: 8rem;
}
.home-page .my-contact-links ul li{
    width: 35px;
    height: 32px;
    line-height: 32px;
    margin-bottom: 1rem;

}
.home-page .my-contact-links ul li a i{
    font-size: 25px;
    color:#4fc8b0;
}

.home-page .about-me {
    position: absolute;
    width: 85%;
    border-radius: 20px;
    top: 80%;
    left: 7.5%;
    background-color: rgb(0 0 0 / 56%);
    padding: 10px 20px;
    box-shadow: 4px 4px 10px #aaa;
}
.home-page .about-me h1{
    color: #fff;
    margin-bottom: 1rem;
    text-shadow: 1px 1px 2px #aaa;
    font-family: 'Tangerine', serif;
    font-size: 30px;
}
.home-page .about-me p{
    color: #fff;
    font-family: 'Tangerine',serif;
    margin-bottom: 0px;
    line-height:30px;
}

.expertise-page{
    margin-top: 15rem;
    margin-bottom: 3rem;
}

.expertise-page h1{
   
    text-shadow: 2px 2px 2px #aaa;
    font-family: 'Tangerine', serif;
    font-size: 30px;
    margin-bottom: 40px;
}
.expertise-page .web{
	-webkit-animation: web 0.5s cubic-bezier(0.455, 0.030, 0.515, 0.955) both;
	        animation: web 0.5s cubic-bezier(0.455, 0.030, 0.515, 0.955) both;
}
/* @-webkit-keyframes web{
    0% {
      -webkit-transform: translateY(0) rotateX(0);
              transform: translateY(0) rotateX(0);
      -webkit-transform-origin: 50% 0%;
              transform-origin: 50% 0%;
    }
    100% {
      -webkit-transform: translateY(-100%) rotateX(-180deg);
              transform: translateY(-100%) rotateX(-180deg);
      -webkit-transform-origin: 50% 100%;
              transform-origin: 50% 100%;
    }
  }
  @keyframes web{
    0% {
      -webkit-transform: translateY(0) rotateX(0);
              transform: translateY(0) rotateX(0);
      -webkit-transform-origin: 50% 0%;
              transform-origin: 50% 0%;
    }
    100% {
      -webkit-transform: translateY(-100%) rotateX(-180deg);
              transform: translateY(-100%) rotateX(-180deg);
      -webkit-transform-origin: 50% 100%;
              transform-origin: 50% 100%;
    }
    0%{
        -webkit-transform: translateY(0) rotateX(0);
              transform: translateY(0) rotateX(0);
      -webkit-transform-origin: 50% 0%;
              transform-origin: 50% 0%;
    }
  } */
  
.expertise-page .web{
    padding: 20px;
    background-image: linear-gradient(to bottom, #2c554d, #000000);
    border-radius: 20px;
    height: 316px;
    margin-bottom: 20px;
}
.expertise-page .web h2{
    text-shadow: 2px 2px 2px #aaa;
    font-family: 'Tangerine', serif;
    /* text-decoration: underline; */
    font-size: 30px;
    color: #fff;
}
.expertise-page .web p{
    color:#fff;
    font-family: 'Tangerine', serif;
}
.skills{
    margin-bottom: 4rem;
}
.skills ul{
    justify-content: space-between;
}
.contact-for-project h1{
    text-shadow: 2px 2px 2px #aaa;
    font-family: 'Tangerine', serif;
    font-size: 30px;
    color: #4fc8b0;
    margin-bottom: 40px;

}
.contact-for-project ul li{
    display: inline-block;
    margin-right: 30px;
}
.contact-for-project ul li::before{
    content: "\f0a4";
    font-family: "Font Awesome 6 Free";
    font-weight: 700;
    font-size: 16px;
    margin-right: 0.5rem;
    color: #4fc8b0;
    

}
.contact-for-project ul li a{
    font-size: 20px;
    /* font-weight: 700; */
    color: #fff;
    font-weight: 600;
    font-family: 'Tangerine', serif;
    
}

.contact-for-project{
    background-color: #000;
    margin-top: 2rem;
    /* margin-bottom: 2rem; */
    padding: 50px;
    text-align: center;
}

.contact-for-project h2{
    color: #fff;
    text-align: center;
    text-decoration: underline;
    margin-bottom: 20px;
    font-family: 'Tangerine', serif;
    margin-top: 3rem;
}

.contact-for-project button{
    padding: 8px;
    width: 150px;
    background-color: #4fc8b0;
}
.contact-for-project button a{
    color: #fff;
    font-size: 16px;
    font-family: 'Tangerine', serif;
    font-weight: bold;
}

.skills h1{
    text-shadow: 2px 2px 2px #aaa;
    font-family: 'Tangerine', serif;
    font-size: 30px;
    margin-bottom: 2rem;
}
.skills .tech-skills{
    background-color: rgb(247, 245, 245);
    padding: 40px;
    border-radius: 50%;
    height: 230px;
    width: 230px;
    text-align: center;
    box-shadow:1px 1px 1px #4fc8b0;
    transition: transform .5s;
}
.skills .tech-skills:hover {
    -ms-transform: scale(.2); 
    -webkit-transform: scale(1.1);
    transform: scale(1.1); 
    border: 2px solid #4fc8b0;
  }
.skills .tech-skills i{
    font-size: 25px;
    margin-bottom: 10px
}
.skills .tech-skills h3{
    font-family: serif;
    font-weight: bold;
    color: #4fc8b0;
}
.skills .tech-skills p{
    margin-bottom: 0;
    font-family: serif;
    font-weight: 600;
}
/* .skills ul li{
    font-weight: 600;
} */
/* .skills ul li::before{
    content: "\f0a4";
    font-family: "Font Awesome 6 Free";
    font-weight: 700;
    font-size: 16px;
    margin-right: 0.5rem;
} */

.footer{
    /* margin-top: 4rem; */
    padding-top: 6rem;
    background-color: rgb(255, 245, 255);
}

.footer h3{
    text-shadow: 1px 1px 2px #aaa;
    font-family: 'Tangerine', serif;
    font-size: 25px;
    color:#000;
}
/* .home-page .navbarr{
    position: fixed;
    top: 0;
   
   
    transition: top 0.3s;

} */
/* .footer {
    display: flex;
    /* flex-direction: column; */
    /* align-items: center;
} */ 
/* .footer  .my-img{
    display: flex;
    flex-direction: column;
    
} */

.footer  img:last-child{
    border-radius: 50%;
    box-shadow: 2px 2px 2px #aaa;
    margin-left: 2rem;
}
/* .footer  .contact-me{
    display: flex;
    width: 40%;
    justify-content: space-between;
} */
/* .footer .contact-me{ */
    /* margin-top: 40px;
} */
.footer .contact-me {
    text-align: center;
}
.footer .contact-me .colm-1{
    margin-bottom: 4rem;
}
.footer .contact-me .colm-1 a{
    color:#4fc8b0;
}
.footer .contact-me .colm-2 a i{
margin-right: 10px;
font-size: 25px;
background-color:#4fc8b0;
color: #fff;
width: 40px;
height: 40px;
line-height: 40px;
border-radius: 10px;
}
.footer .map{
    width:300px;
     height:300px;
}
.footer .map iframe{
    width: 100%;
    height:300px;
}
.to-top{
	color:black;
	padding:1em;
	display:inline-block;/* or block */
	position:relative;
	text-decoration:none;
    margin-top: 12rem;
    margin-left: 4rem;
	transition:all .3s ease-out;
}
.to-top:before{
	content:'▲';
	font-size:1.5em;
	position:absolute;
	top:-15%;
	left:25%;
    border:solid .13em white;
	border-radius:10em;
	width:2em;
	height:2em;
	line-height:1.5em;
    text-align: center;
	border-color:inherit;
	transition:transform .5s ease-in;
}
.to-top:hover{
	color:#4fc8b0;
	border-color:#4fc8b0;
}
.to-top:hover:before{
	transform: rotate(360deg);
}
/* .footer ul li a{
color: #4fc8b0;
font-family: 'Tangerine', serif;

} */
.footer .copy-right p{
   color: #000;
   text-align: center;
   font-family: 'Tangerine', serif;
   font-weight: bold;
   padding: 10px 0;
   margin-bottom: 0;
   margin-top: 10px;
   border-top:1px solid black ;
}


/* Responsive */

@media screen and (max-width:991px){
    .home-page .menu-bar li {
        margin-left: 35px;
        font-size: 15px;
    }
    .home-page .my-info p {
        font-size: 35px;
      
    }

    .home-page .my-info h1 {
        font-size: 50px;
    }

    .home-page .my-info {
        margin-left: 0rem;
        margin-top: 2rem;
    }
    /* .home-page .about-me {
        width: 85%;
        left: 8%;
    } */
    .footer .contact .contact-me {
        width: 75%;
    }
    .home-page .my-info button {
        border: none;
    }
    .contact-for-project button {
        border: none;
    }
}

@media screen and (max-width:767px){
    .footer .contact .contact-me {
        width: 85%;
    }
    .home-page .menu-bar {
        /* padding: 40px; */
        padding-top: 40px;
        padding-left: 40px;
    }
    .home-page .menu-bar ul:nth-child(1){
        display: none;
    }
    .home-page .menu-bar .mobilemenu-links{
        display: block;
        position: absolute;
        z-index: 1;
        background-color:#000;
        width: 22%;
        /* box-shadow: 2px 2px 2px rgb(49, 48, 48); */
        box-shadow: -1px 1px 1px 1px rgb(49, 48, 48);
    }
    .home-page .menu-bar .mobilemenu-links {
      padding-left: 0;
    }
    .home-page .menu-bar .mobilemenu-links li{
        padding: 12px 5px;
        margin-left: 0;
    }
    .home-page .menu-bar .mobilemenu-links li a{
        
    }
    .home-page .menu-bar .mobile-menubar{
        display:block;
    }
    .home-page .menu-bar .mobile-menubar i{
        color: #4fc8b0;
        font-size: 30px;
    }
    .home-page .mobilemenu-links.active{
        opacity: 0;
    }
    .first-page .mobilemenu-links.active ul{
        opacity: 1;
        z-index: 1;
    }
    .home-page .my-info p {
        font-size: 28px;
    }
    .home-page .my-info h1 {
        font-size: 42px;
    }
    .home-page .about-me {
        width: 94%;
        left: 3%;
    }
    .home-page .about-me h1 {
               font-size: 25px;
    }
    .home-page .about-me p {
    font-size: 15px;
    }
    .home-page .about-me img {
        width: 80%;
    }
}
@media screen and (max-width:575px){
    .home-page .my-info p {
        font-size: 30px;
    }
    .home-page .my-info h1 {
        font-size: 40px;
    }
    .home-page .my-info {
        margin-left: 0rem;
        margin-top: 0rem;
    }
    .home-page .my-contact-links {
        top: -6%;
    }
    .home-page .about-me {
        padding: 6px;
    }
    .home-page .about-me h1 {
        font-size: 20px;
        margin-bottom: 0.5rem;
    }
    .home-page .about-me p {
        font-size: 12px;
        margin-bottom: 0;
    }
    .home-page .about-me img {
        width: 100%;
        margin-top: 0.5rem;
    }
    .home-page .my-info button {
        width: 105px;
        font-size: 14px;
    }
    .expertise-page {
        margin-top: 8rem;
        margin-bottom: 1rem;
    }
    .expertise-page h1,.skills h1{
        font-size: 25px;
        margin-bottom: 30px;
    }
    .expertise-page .web h2 {
        font-size: 25px;
    }
    

}
   
   
